## backuppc 3.3.2

=== debian/changelog ===
backuppc (3.3.2-3ubuntu0.3) focal-security; urgency=medium

  * Fix compatibility with Samba security update
    - d/t/smb-backup: Provide non-empty username/password values to
      authenticate against the Samba share, working around a possible Samba
      regression with anonymous authentication. (LP: 1962166)
    - d/t/common, d/t/smb-backup: move common functions to a new file
    - d/t/authenticated-smb-backup, d/t/control: test to backup an
      authenticated SMB share. (LP: 1964014)
    - d/p/smb_compat_*.patch: backport upstream changes to support newer
      Samba versions.
  * This package does _not_ contain the changes from (3.3.2-3ubuntu0.1) in
    focal-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Mar 2023 11:04:26 -0500

backuppc (3.3.2-3) unstable; urgency=medium

  * Update watch file for BackupPC 4 series
  * 07-reload-user.patch: pass the username to start-stop-daemon when
    reloading (Closes: #944611)
  * Add me to uploaders

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 12 Nov 2019 17:57:56 +0000

backuppc (3.3.2-2) unstable; urgency=low

  * There are no logs to chown upon a first installation, so don't try to
    chown them. (Fixes issue found by piuparts.)
  * Avoid recursive chown to /etc/backuppc, just chown /etc/backuppc and
    all files in it. By default it has no subdirectories.
  * Update line numbers in debian/config.pl.diff.

 -- Axel Beckert <abe@debian.org>  Wed, 14 Nov 2018 23:27:21 +0100

backuppc (3.3.2-1) unstable; urgency=low

  [ Axel Beckert ]
  * Set Maintainer to the new Debian BackupPC team. (Closes: #887490)
    + Add Tobias Frost and myself to Uploaders.
  * Import new 3.3.2 upstream release.
    + Drop some hunks from 01-debian.patch which upstream applied or fixed
      otherwise:
      - lib/BackupPC/CGI/Browse.pm
      - all hunks which fix "{" to "\{" in regular expressions.
    + Refresh the remaining part of 01-debian.patch and fix non-applying
      hunks manually.
    + Remove unnecessary whitesapce changes from 01-debian.patch.
    + 01-debian.patch: Continue to use UTF-8 in doc/BackupPC.pod despite
      upstream has chose to explicitly declare it as ISO8859-1.
    + Refresh 02-fix-spelling-errors.patch.
  * Ship https://sourceforge.net/p/backuppc/mailman/message/27416276/ as
    debian/jLib.pm and install as BackupPC::jLib. (Closes: #876190)
    Thanks: Martin F Krafft and Alex Vandiver.
  * Run "wrap-and-sort -a".
  * Support IPv6 by extracting the according patch hunks from Ubuntu's
    backuppc package. (Closes: #876233, #610932)
    + Expand patch with web configuration editor support by lynxis
      lazus. (LP: #1349031)
  * Add lintian overrides for these false positives:
    + spelling-error-in-readme-debian (User and group name are the same
      and trigger a "duplicate word" case).
    + unused-debconf-template (mentioned template is used)
  * Fix typo in 3.3.1-4 changelog entry.
  * Add patch to replace the rather unlucky "IS" with "IT support" in mail
    templates. (Closes: #808241)
  * Add patch to fix bad e-mail headers in Polish and Czech mail templates
    as well as the encoding of the Czech mail templates. (Closes: #675013)
    Thanks Vladislav Kurz for the bug report!
  * debian/apache.conf:
    + Switch to Apache 2.4 syntax.
    + Only grant access from localhost by default (as by default HTTPS is
      not enforced). Mention that in NEWS.Debian.
    + Fix typo in comment.
  * Suggest a bunch of letsencrypt clients with certbot as default.
  * Document conf/sorttable.js in debian/copyright.
  * Unconditionally use invoke-rc.d in post{inst,rm}, drop existence check
  * Consistently use debian/<name> instead of debian/backuppc.<name> and
    not half/half.
    + Rename debian/examples directory to debian/example-configs to avoid
      name conflict. Update debian/examples file accordingly.
  * debian/config: Use "set -e" instead of "-e" in the shebang line.
  * debian/post{inst,rm}: Add "set -e" at the beginning.
  * Apply patch to run rrdtool as the backuppc user rather than as the
    www-data user to fix the displaying of the RRD graphs in the web
    interface. (Closes: #903217, LP: #1612600)

  [ Andreas Hasenack ]
  * d/t/{control,smb-backup}: simple smb-based DEP8 test (LP: #1677755)

 -- Axel Beckert <abe@debian.org>  Wed, 14 Nov 2018 04:07:00 +0100

backuppc (3.3.1-6) unstable; urgency=medium

  * QA upload.
  * Imported package to salsa.debian.org and set VCS-* fields accordingly.
  * Execute wrap-and-sort.
  * Convert to 3.0 (quilt) package format. The changes to the upstream
    sources have been put into 01-debian.patch.
  * Fix "FTBFS with merged /usr" by specifying all binary paths and not letting
    configure.pl letting them guess them. (Closes: #905761)
  * Modernize Package:
    - compat level 11 (d/compat and add B-D on debhelper >=11)
    - migrate to short debhelper.
    - drop the versioned conflict against libfile-rsyncp-perl, version
      in old-old-stable is already new enough.
    - remove versions specifier from dependencies, all are fulfilled in
      old-old-stable already. Tar and dpkg can be dropped, they are
      essential.
    - drop d/menu.
    - convert d/copyright to the Machine-readable copyright file format.
    - modify d/watch to point to (new) github project site.
    - S-V bumped to 4.2.1:  required.
    - postinst: do not check existence of executables with absolute path,
      but using which. (lintian command-with-path-in-maintainer-script).
  * Add patch to fix some spelling errors found by lintian.
  * Fix "Wrong path in BackupPC_deleteFile", patch from madduck (Closes:
    #876188)
  * Fix "BackupPC_deleteFile uses deprecated defined @{array}", patch from
    madduck. (Closes: #876193)
  * Do only recommmend smbclient and samba-common-bin, do not depend on it
    (Closes: #488098, #820980)
  * Change homepage in d/control to new upstream location.

 -- Tobias Frost <tobi@debian.org>  Wed, 17 Oct 2018 23:53:54 +0200


