=== debian/control ===
Source: backuppc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian BackupPC Team <team+pkg-backuppc@tracker.debian.org>
Uploaders: Tobias Frost <tobi@debian.org>,
           Axel Beckert <abe@debian.org>,
           Jonathan Wiltshire <jmw@debian.org>
Build-Depends: debhelper (>= 11),
               libsocket6-perl,
               par2,
               patch,
               perl
Standards-Version: 4.2.1
Homepage: https://backuppc.github.io/backuppc/
VCS-Git: https://salsa.debian.org/debian/backuppc.git
VCS-Browser: https://salsa.debian.org/debian/backuppc

Package: backuppc
Architecture: any
Depends: adduser,
         apache2 | httpd,
         apache2-utils,
         bzip2,
         default-mta | exim4 | mail-transport-agent,
         iputils-ping | inetutils-ping,
         libarchive-zip-perl,
         libcgi-pm-perl,
         libdigest-md5-perl,
         libio-compress-perl | libcompress-zlib-perl,
         libsocket6-perl,
         libtime-parsedate-perl,
         libwww-perl,
         lsb-base,
         ucf,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libfile-rsyncp-perl,
            libio-dirent-perl,
            openssh-client | ssh-client,
            rrdtool,
            rsync,
            samba-common-bin,
            smbclient
Suggests: certbot | acme-tiny | acmetool | dehydrated | lacme | lecm | lego,
          par2,
          w3m | www-browser
Description: high-performance, enterprise-grade system for backing up PCs
 BackupPC is disk based and not tape based. This particularity allows
 features not found in any other backup solution:
  * Clever pooling scheme minimizes disk storage and disk I/O.
    Identical files across multiple backups of the same or different PC are
    stored only once resulting in substantial savings in disk storage and disk
    writes. Also known as "data deduplication".
  * Optional compression provides additional reductions in storage.
    CPU impact of compression is low since only new files (those not already
    in the pool) need to be compressed.
  * A powerful http/cgi user interface allows administrators to view log files,
    configuration, current status and allows users to initiate and cancel
    backups and browse and restore files from backups very quickly.
  * No client-side software is needed. On WinXX the smb protocol is used.
    On Linux or Unix clients, rsync or tar (over ssh/rsh/nfs) can be used
  * Flexible restore options. Single files can be downloaded from any backup
    directly from the CGI interface. Zip or Tar archives for selected files
    or directories can also be downloaded from the CGI interface.
  * BackupPC supports mobile environments where laptops are only intermittently
    connected to the network and have dynamic IP addresses (DHCP).
  * Flexible configuration parameters allow multiple backups to be performed
    in parallel.
  * and more to discover in the manual...
