## backuppc 4.4.0

=== debian/changelog ===
backuppc (4.4.0-5ubuntu2) jammy; urgency=medium

  * New DEP8 test for backing up an SMB share that requires
    authentication (LP: #1964014):
    - d/t/common, d/t/smb-backup: move common functions to a new file
    - d/t/authenticated-smb-backup, d/t/control: test to backup an
      authenticated SMB share

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 07 Mar 2022 14:28:21 -0300

backuppc (4.4.0-5ubuntu1) jammy; urgency=medium

  * d/t/smb-backup: Provide non-empty username/password values to
    authenticate against the Samba share, working around a possible Samba
    regression with anonymous authentication. (LP: #1962166)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 25 Feb 2022 16:49:57 -0500

backuppc (4.4.0-5) unstable; urgency=medium

  [ Simon McVittie ]
  * debian/rules: Specify canonical path to ping6. (Closes: #992647)

  [ Axel Beckert ]
  * Remove wrong declaration of /etc/backuppc/hosts being Perl syntax.
  * Refresh 09-hardcode-debians-rundir.patch to remove unwanted offset.

 -- Axel Beckert <abe@debian.org>  Thu, 02 Sep 2021 02:10:05 +0200

backuppc (4.4.0-4) unstable; urgency=medium

  * Don't try to create /var/lib/backuppc/pc/localhost/ if it already
    exists. Fixes follow-up errors if initial configuration of backuppc
    failed for some other reason. (See also #992597)
  * Drop dependencies on Perl modules which are in Perl's core since at
    least Perl 5.9.4, namely libdigest-md5-perl, libio-compress-perl, and
    libcompress-zlib-perl.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Drop no more needed and previously redundant entry lib/systemd/system
    from debian/dirs.
  * Drop outdated sanity check in init script. (Closes: #992597).

 -- Axel Beckert <abe@debian.org>  Fri, 20 Aug 2021 20:45:09 +0200

backuppc (4.4.0-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Add a note to README.Debian pointing to NEWS.Debian for upgrade
    instructions. (See discussion in #981423.)

  [ Jonathan Wiltshire ]
  * Refine debian/NEWS; split some of the detail in debian/UPGRADING

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 12 Apr 2021 19:02:10 +0100

backuppc (4.4.0-2) unstable; urgency=medium

  * postinst: Fix dpkg-statoverride warning "deprecated --force option".
  * Make backuppc-rsync a hard dependency: The daemon fails to start even
    if only SMB backups are configured. Thanks autopkgtest!
  * Add a debian/TODO list with some future/wishlist packaging todos.

 -- Axel Beckert <abe@debian.org>  Thu, 31 Dec 2020 16:54:06 +0100

backuppc (4.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 3.1.0-1.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 3.2.1-2, 2.0.0-5.

  [ Jonathan Wiltshire ]
  * New major upstream release (Closes: #873075)
    + Add new depends/recommends: libbackuppc-xs-perl,
      libfile-listing-perl, backuppc-rsync, libfile-rsyncp-perl
    + Refresh patches for 4.3.1, debian/{rules,dirs,docs}.
    + Install upstream systemd service file.
    + Add patch 08-fix-systemd-unit.patch: use Debian-ish concepts in the
      service file.
    + Add a debian/NEWS entry wrt. to necessary config changes and
      installation of the backuppc-rsync package on clients.
    [ Axel Beckert ]
    + 07-reload-user.patch: Update variable names and path to upstream
      init script.
    + Refresh patches for 4.4.0 including debian/config.pl.diff, drop
      hunks from 01-debian.patch which were applied upstream.
    + Bump minimum versions of backuppc-rsync and libbackuppc-xs-perl
      according to the 4.4.0 upstream release notes.
    + Suggest libscgi-perl.
    + Drop libfile-rsyncp-perl from Recommends. It has been replaced with
      backuppc-rsync. This also solves issues caused by File::RsyncP like
      missing rsync compression support. (Closes: #538272, #954241)
    + Update init script to be closer to upstream's init script again.
      - Update documentation.
      - Use $RUNDIR and define it once.
    + Update debian/README.Debian and debian/NEWS with regards to what's
      needed for BackupPC 4 and especially the migration from V3 to V4.
    + Add patch to hardcode /run/backuppc as RunDir in BackupPC::Lib.
    + Add some of the new dependencies also as build-dependencies.
    + Drop dependency on libwww-perl, replaced by dependency on
      libfile-listing-perl. (See #602787)
    + Demote rsync to suggestion, now only needed for backing up localhost
      using rsync, replaced by backuppc-rsync on the server-side.
    + Drop 03-ipv6.patch and libsocket6-perl dependencies. (BackupPC 4 has
      native IPv6 support albeit implemented differently.)

  [ Axel Beckert ]
  * Rename debian/{NEWS.Debian → NEWS}, fix syntax of 2018 trailer line.
  * Set "Rules-Requires-Root: binary-targets".
  * Add lintian override for executable-in-usr-lib triggered by CGI
    script.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Recode debian/po/{fr,nl}.po from ISO-8859-15 to UTF-8. Fixes lintian
    warning national-encoding.
  * Bump debhelper-compat to 13.
  * Add a comment to document when to remove the -Wl,--as-needed linker
    flag. (Lintian warning debian-rules-uses-as-needed-linker-flag)
  * Extend and improve long package description.
  * Extend 02-fix-spelling-errors.patch to fix more typos.

 -- Axel Beckert <abe@debian.org>  Wed, 30 Dec 2020 17:20:09 +0100
