=== debian/control ===
--- 
+++ 
@@ -6,49 +6,55 @@
 Uploaders: Tobias Frost <tobi@debian.org>,
            Axel Beckert <abe@debian.org>,
            Jonathan Wiltshire <jmw@debian.org>
-Build-Depends: debhelper (>= 11),
-               libsocket6-perl,
+Build-Depends: debhelper-compat (= 13),
+               iputils-ping | inetutils-ping,
+               libbackuppc-xs-perl (>= 0.62),
+               libcgi-pm-perl,
+               libfile-listing-perl,
                par2,
                patch,
-               perl
-Standards-Version: 4.2.1
+               perl,
+               rrdtool
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.0
 Homepage: https://backuppc.github.io/backuppc/
-VCS-Git: https://salsa.debian.org/debian/backuppc.git
-VCS-Browser: https://salsa.debian.org/debian/backuppc
+Vcs-Git: https://salsa.debian.org/debian/backuppc.git
+Vcs-Browser: https://salsa.debian.org/debian/backuppc
 
 Package: backuppc
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          apache2 | httpd,
          apache2-utils,
+         backuppc-rsync (>= 3.1.3),
          bzip2,
          default-mta | exim4 | mail-transport-agent,
          iputils-ping | inetutils-ping,
          libarchive-zip-perl,
+         libbackuppc-xs-perl (>= 0.62),
          libcgi-pm-perl,
-         libdigest-md5-perl,
-         libio-compress-perl | libcompress-zlib-perl,
-         libsocket6-perl,
+         libfile-listing-perl,
          libtime-parsedate-perl,
-         libwww-perl,
          lsb-base,
          ucf,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: libfile-rsyncp-perl,
-            libio-dirent-perl,
+Recommends: libio-dirent-perl,
             openssh-client | ssh-client,
             rrdtool,
-            rsync,
             samba-common-bin,
             smbclient
 Suggests: certbot | acme-tiny | acmetool | dehydrated | lacme | lecm | lego,
+          libscgi-perl,
           par2,
+          rsync,
           w3m | www-browser
 Description: high-performance, enterprise-grade system for backing up PCs
  BackupPC is disk based and not tape based. This particularity allows
  features not found in any other backup solution:
+ .
   * Clever pooling scheme minimizes disk storage and disk I/O.
     Identical files across multiple backups of the same or different PC are
     stored only once resulting in substantial savings in disk storage and disk
@@ -69,3 +75,18 @@
   * Flexible configuration parameters allow multiple backups to be performed
     in parallel.
   * and more to discover in the manual...
+ .
+ If you intent to backup Linux/Unix/macOS hosts, you'll typically need
+ the recommended packages backup-rsync and openssh-client installed on
+ the server side and the normal rsync package on the client side.
+ .
+ A less performant alternative is using tar over SSH instead of rsync,
+ e.g. in case of rsync server/client protocol incompatibilities.
+ .
+ If you intent to backup Windows hosts, you'll typically need the
+ recommended package smbclient installed.
+ .
+ There is also the possibility to backup Windows hosts over SSH and
+ rsync or tar if you have an SSH daemon installed on the Windows host,
+ e.g. via Cygwin or Windows subsystem for Linux (WSL). In that case
+ the same packages as with Linux/Unix/macOS are needed.
