=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# debian-rules-uses-as-needed-linker-flag: Remove the following line
+# when there's no more chance that someone wants to backport this
+# package to Debian 10 Buster.
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
@@ -17,20 +20,22 @@
 	perl -e "s/.IX Title.*/.SH NAME\nbackuppc \\- BackupPC manual/g" -p -i.tmp backuppc.8
 
 override_dh_install:
-	dh_install
 	perl configure.pl --batch --no-fhs --hostname XXXXXX --uid-ignore \
+		--config-dir=/etc/backuppc --run-dir=/run/backuppc \
 	    --install-dir /usr/share/backuppc --dest-dir $(CURDIR)/debian/backuppc/ \
 	    --data-dir /var/lib/backuppc --cgi-dir /usr/share/backuppc/cgi-bin \
 	    --html-dir /usr/share/backuppc/image --html-dir-url /backuppc/image \
 	    --bin-path perl=/usr/bin/perl --bin-path tar=/bin/tar \
 	    --bin-path smbclient=/usr/bin/smbclient \
-            --bin-path nmblookup=/usr/bin/nmblookup \
+	    --bin-path nmblookup=/usr/bin/nmblookup \
+	    --bin-path rsync_bpc=/usr/libexec/backuppc-rsync/rsync_bpc \
 	    --bin-path rsync=/usr/bin/rsync --bin-path ping=/bin/ping \
 	    --bin-path df=/bin/df --bin-path ssh=/usr/bin/ssh \
 	    --bin-path sendmail=/usr/sbin/sendmail \
-            --bin-path hostname=/bin/hostname --bin-path split=/usr/bin/split \
-            --bin-path par2=/usr/bin/par2 --bin-path cat=/bin/cat \
-	    --bin-path gzip=/bin/gzip --bin-path bzip2=/bin/bzip2
+	    --bin-path hostname=/bin/hostname --bin-path split=/usr/bin/split \
+	    --bin-path par2=/usr/bin/par2 --bin-path cat=/bin/cat \
+	    --bin-path gzip=/bin/gzip --bin-path bzip2=/bin/bzip2 \
+	    --bin-path ping6=/bin/ping6
 	mv -f debian/backuppc/usr/share/backuppc/cgi-bin/* debian/backuppc/usr/share/backuppc/lib/realindex.cgi
 	install --mode=755 index.cgi debian/backuppc/usr/lib/backuppc/cgi-bin
 	install --mode=755 debian/BackupPC_deleteFile debian/backuppc/usr/share/backuppc/bin
@@ -43,7 +48,5 @@
 	patch --no-backup-if-mismatch -p0 < debian/config.pl.diff
 	install --mode=644 debian/backuppc/etc/backuppc/config.pl debian/backuppc/usr/share/backuppc/conf
 	rm -rf debian/backuppc/etc/backuppc/config.pl
-
-override_dh_installdocs:
-	dh_installdocs
-	rm -r debian/backuppc/usr/share/backuppc/doc
+	rm -rf debian/backuppc/run
+	dh_install
