=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/BackupPC-(\d\S+)\.tar\.gz/backuppc-$1\.tar\.gz/ \
  https://github.com/backuppc/backuppc/releases .*/BackupPC-(\d\S+)\.tar\.gz
